当前位置:首页 > 服务端 > VUE笔记:运行Vue报错error in ./*xxxxx&lang=scss Syntax Error: TypeError: this.getOptions is not a function

VUE笔记:运行Vue报错error in ./*xxxxx&lang=scss Syntax Error: TypeError: this.getOptions is not a function

运行Vue项目时;报错 Syntax Error: TypeError: this.getOptions is not a function

VUE笔记:运行Vue报错error  in ./*xxxxx&lang=scss  Syntax Error: TypeError: this.getOptions is not a function _ JavaClub全栈架构师技术笔记

 

原因分析:一般此种情况是因为sass-loader版本过高,导致项目不兼容

处理方法:降低sass-loader版本

操作步骤:

1.在项目根目录下,打开Git bash 输入命令(或者直接在Vscode 命令框Terminal内输入),卸载sass-loader;

NPM版本:npm uninstall sass-loader

CNPM版本:cnpm uninstall sass-loader

YARN版本:yarn global remove sass-loader

2.重新安装sass-loader,并指定版本;

NPM版本:npm i sass-loader@10.1.0 -D

CNPM版本:cnpm i sass-loader@10.1.0 -D

YARN版本:yarn add sass-loader@10.1.0 -dev

3.重启项目

NPM版本:npm run serve

CNPM版本:cnpm run serve

YARN版本:yarn serve

 

相关报错:https://www.cnblogs.com/chig/p/15364119.html

作者:coderjim
来源链接:https://www.cnblogs.com/chig/p/15364744.html

版权声明:
1、Java侠(https://www.javaxia.com)以学习交流为目的,由作者投稿、网友推荐和小编整理收藏优秀的IT技术及相关内容,包括但不限于文字、图片、音频、视频、软件、程序等,其均来自互联网,本站不享有版权,版权归原作者所有。

2、本站提供的内容仅用于个人学习、研究或欣赏,以及其他非商业性或非盈利性用途,但同时应遵守著作权法及其他相关法律的规定,不得侵犯相关权利人及本网站的合法权利。
3、本网站内容原作者如不愿意在本网站刊登内容,请及时通知本站(javaclubcn@163.com),我们将第一时间核实后及时予以删除。





本文链接:https://www.javaxia.com/server/125286.html

标签: syntax error
分享给朋友:

“VUE笔记:运行Vue报错error in ./*xxxxx&lang=scss Syntax Error: TypeError: this.getOptions is not a function” 的相关文章